Subject: Re: bug#70036 a fix that

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Apr 2024 19:21:39 +0300

> Date: Thu, 18 Apr 2024 18:11:36 +0200
> From: Theodor Thornhill <[email-masked]>
> Cc: João Távora <[email-masked]>,
>  [email-masked], [email-masked]
> 
>  >> If so, I think this simpler patch after my sig is all we need, as it
>  >> completely clears the profile of any "file-truename".  I have reverted
>  >> the earlier patch and pushed a patch very similar to the one after my sig.
>  
>  That's unfortunate.
>  
>  >
>  > This new code should also be timed and compared to the other two
>  > versions, before we make the final decision on this.
>  
>  
>  This is a very unfortunate change. This completely misses the point and
>  reverts any perf gains from my previous patch... I think your
>  conclusions are too quick, and actions likewise.
>  
>  I'd argue that long paths are a way more common occurrence than
>  symlinking, and the places you touched in your "better way" ignores the
>  performance critical parts.

Please show timing data which compares the possible variants.  We must
have quantitative data to have a firm basis for this discussion.  I
don't yet have an opinion what we should do about this issue, and I
cannot form an opinion unless I see some real-life measurements.  I
asked João to present such measurements as well.